g[id^=Internal-Solid-Wall] rect,
g[id^=External-Solid-Wall] rect {
  fill: var(--color-text) !important;
}

g[id^=Background] rect {
  fill: transparent !important;
}

:where(:not([data-operator-rect-uuid]))[id^=Soft-Floor], :where(:not([data-operator-rect-uuid]))[id^=Soft-Floor] path {
  fill: var(--flooring) !important;
}
:where(:not([data-operator-rect-uuid]))[id^=Door] rect {
  fill: var(--door) !important;
}
:where(:not([data-operator-rect-uuid]))[id^=Window] rect {
  fill: var(--window) !important;
}
:where(:not([data-operator-rect-uuid]))[id^=Internal-Soft-Wall] g[id^=Color-Rect] rect, :where(:not([data-operator-rect-uuid]))[id^=External-Soft-Wall] g[id^=Color-Rect] rect {
  fill: var(--soft-wall) !important;
}
:where(:not([data-operator-rect-uuid]))[id^=Hatch-On-Floor] g[id^=Color-Rect] rect {
  fill: var(--soft-wall) !important;
}
:where(:not([data-operator-rect-uuid]))[id^=Hatch-On-Ceiling] g[id^=Color-Rect] rect {
  fill: transparent !important;
}

:where([data-operator-rect-uuid])[id^=Hatch-On-Ceiling] g[id^=Color-Rect] rect {
  fill-opacity: 1 !important;
}
